Bug 158071 - Screen is not blanked when no one is logged in
Screen is not blanked when no one is logged in
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdm (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-18 09:33 EDT by Johan Bengtsson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:02:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Bengtsson 2005-05-18 09:33:52 EDT
Screen is not blanked when no one is logged in - that is when gdm or kdm is
running. When users are logged in it works properly.The computer is a Dell
Optiplex GX280 - same problem on 20 machines in our lab. This causes burn-in on
the screens!
Also commands like "xset dpms force standby" doesn't do anything.

Maybe this will tell you something:
[elijah@lorien ~]$ strace xset dpms force standby
execve("/usr/X11R6/bin/xset", ["xset", "dpms", "force", "standby"], [/* 53 vars
*/]) = 0
uname({sys="Linux", node="lorien.dd.chalmers.se", ...}) = 0
brk(0)                                  = 0x874f000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=72723, ...}) = 0
old_mmap(NULL, 72723, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb75e8000
close(3)                                = 0
open("/usr/X11R6/lib/libXmuu.so.1", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0\r\0\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=10404, ...}) = 0
old_mmap(NULL, 13464, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xd1c000
old_mmap(0xd1f000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x2000)
= 0xd1f000
close(3)                                = 0
open("/usr/X11R6/lib/libXext.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300(\0"..., 512) = 512
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb75e7000
fstat64(3, {st_mode=S_IFREG|0755, st_size=53392, ...}) = 0
old_mmap(NULL, 56668, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7a9000
old_mmap(0x7b6000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xc000)
= 0x7b6000
close(3)                                = 0
open("/usr/X11R6/lib/libX11.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\23\1\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=907696, ...}) = 0
old_mmap(NULL, 911772, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x5fb000
old_mmap(0x6d7000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0xdb000) = 0x6d7000
close(3)                                = 0
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200X\1"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1571692, ...}) = 0
old_mmap(NULL, 1275340, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xe87000
old_mmap(0xfb9000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x132000) = 0xfb9000
old_mmap(0xfbc000, 9676, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xfbc000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\32"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=14868, ...}) = 0
old_mmap(NULL, 12244, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x5f2000
old_mmap(0x5f4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x1000)
= 0x5f4000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb75e6000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb75e62a0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pag es:1, seg_not_present:0,
useable:1}) = 0
munmap(0xb75e8000, 72723)               = 0
brk(0)                                  = 0x874f000
brk(0x8770000)                          = 0x8770000
brk(0)                                  = 0x8770000
uname({sys="Linux", node="lorien.dd.chalmers.se", ...}) = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 3
uname({sys="Linux", node="lorien.dd.chalmers.se", ...}) = 0
uname({sys="Linux", node="lorien.dd.chalmers.se", ...}) = 0
connect(3, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 19) = 0
uname({sys="Linux", node="lorien.dd.chalmers.se", ...}) = 0
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
access("/users/mdc/elijah/.Xauthority", R_OK) = 0
open("/users/mdc/elijah/.Xauthority", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0600, st_size=1890, ...}) = 0
mmap2(NULL, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb75f2000
read(4, "\0\0\0\4\201\20uB\0\0010\0\22MIT-MAGIC-COOKIE-1\0"..., 32768) = 1890
close(4)                                = 0
munmap(0xb75f2000, 32768)               = 0
writev(3, [{"l\0\v\0\0\0\22\0\20\0\0\0", 12}, {"MIT-MAGIC-COOKIE-1", 18},
{"\0\0", 2}, {"\0\202\3230\213n\347%\367\5T\247\33\223\34 5\271", 16}], 4) = 48
fcntl64(3, F_GETFL)                     = 0x2 (flags O_RDWR)
fcntl64(3, F_SETFL, O_RDWR|O_NONBLOCK)  = 0
read(3, "\1\0\v\0\0\0L\0", 8)           = 8
read(3, "\340\355f\2\0\0@\3\377\377\37\0\0\1\0\0\30\0\377\377\1"..., 304) = 304
write(3, "7\0\5\0\0\0@\3:\0\0\0\10\0\0\0\377\377\377\0b\0\5\0\f\0"..., 64) = 64
read(3, "\1\0\2\0\0\0\0\0\1\202\0\0\0\0\0\0\0\0\0\0\1\0\0\0\350"..., 32) = 32
read(3, "\1\10\3\0(\0\0\0\37\0\0\0\0\0\0\0\237\0\0\0\0\0\0\0\0\0"..., 32) = 32
readv(3, [{"Xcursor.size:\t24\nXcursor.theme:\t"..., 159}, {"\1", 1}], 2) = 160
write(3, "\202\0\1\0", 4)               = 4
read(3, "\1\0\4\0\0\0\0\0\377\377\17\0\0\0\0\0\1\0\0\0\1\0\0\0\350"..., 32) = 32
writev(3, [{"b\0\5\0\t\0@\3", 8}, {"XKEYBOARD", 9}, {"\0\0\0", 3}], 3) = 20
read(3, "\1\0\5\0\0\0\0\0\1\225n\257\0\0\0\0\1\0\0\0\1\0\0\0\350"..., 32) = 32
write(3, "\225\0\2\0\1\0\0\0", 8)       = 8
read(3, "\1\1\6\0\0\0\0\0\1\0\0\0\0\0\0\0\1\0\0\0\1\0\0\0\3508\305"..., 32) = 32
writev(3, [{"b\0\3\0\4\0\0\0", 8}, {"DPMS", 4}], 2) = 12
read(3, "\1\0\7\0\0\0\0\0\1\211\0\0\0\0\0\0\1\0\0\0\1\0\0\0\350"..., 32) = 32
write(3, "\211\2\1\0", 4)               = 4
read(3, "\1\0\10\0\0\0\0\0X\2 \34@8\0\0\1\0\0\0\1\0\0\0\3508\305"..., 32) = 32
nanosleep({0, 100000000}, NULL)         = 0
write(3, "\211\4\1\0\211\6\2\0\1\0\0\0<\0\2\0\0\0@\3+\0\1\0", 24) = 24
read(3, 0xbfffa2f0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\2\f\0\0\0\0\0\303N\240\1\0\0\0\0\0\0\0\0\1\0\0\0\350"..., 32) = 32
shutdown(3, 2 /* send and receive */)   = 0
close(3)                                = 0
exit_group(0)
Comment 1 RHEL Product and Program Management 2007-10-19 15:02:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.